package tech.petrepopescu.enums;

import java.util.Set;
import java.util.stream.Collectors;
import java.util.stream.Stream;

public interface MyEnumInterface {
    Set<MyEnumInterface> EXCLUDED = Stream.concat(Stream.of(EnumOne.values()), Stream.of(EnumTwo.values()))
            .filter(MyEnumInterface::isExcluded)
            .collect(Collectors.toSet());

    default boolean isExcluded() {
        return false;
    }
}
